# wet/plugs/test.py
#
#

""" test plugin. """

## IMPORTS

from wet.errors import TestException
from wet.runtime import kernel
from wet.fuzzy import random_str

import time

## CMNDS

def test(event): event.reply("yo!")

kernel.register("test", test)

def test_exception(event): raise TestException()

kernel.register("test-exception", test_exception)

def test_wait(event): time.sleep(3.0) ; event.ok("slept")

kernel.register("test-wait", test_wait)

def test_random(event): event.reply(random_str())

kernel.register("test-random", test_random)
